PROGRAM DYNAMIC;
(*This is the main program. It calls a function in a DLL (ExDLL.DPR)
  The DLL is linked statically.

  IMPORTANT:
  You can either measure a Program, a DLL or both at the same time.

  I.   If you measure a program only, only program-units need to be in the
       profiler search path.

  II.  If you measure a DLL only, only DLL-units need to be in the
       profiler search path. No online operation window availlable !
       (see IV).

       If you want to use the online operation window, you need to

  III. If you measure a program and a DLL, both program-units and DLL-units need
       to be in the profiler search path. DLL as well as program need to have
       identical search path.

  IV.  If you want to measure the DLL only but also want to have an online
       operation window, proceed like III but do not define the compiler
       symbol PROFILE in the compiler setting but define it in the DPR-
       file of the program by inserting {$DEFINE PROFILE } in the DPR-file.

  The simplest way to process these three cases is the following:

  1. Case I - Program only:
    1.a  Compile the DLL WITHOUT a defined the compiler symbol PROFILE.
    1.b  Compile the program WITH a defined the compiler symbol PROFILE.

  2. Case II and IV - DLL only:
    2.a  Compile the DLL WITH a defined the compiler symbol PROFILE.
    2.b  Compile the program WITHOUT a defined the compiler symbol PROFILE.

  3. Case III - Program and DLL:
    3.a  Compile the DLL WITH a defined the compiler symbol PROFILE.
    3.b  Compile the program WITH a defined the compiler symbol PROFILE.

  4. Let the program run.

  5. Depending on the case, you'll find the procedure runtimes of either
     DLL or program or both in the result file.

  CAUTION:
    EXE-file and  DLL have to be stored into the same directory.

    Your compiled DCU-files can be stored anywhere you like.
*)

USES
  Forms,
  DYNAMAIN;

{$R *.RES}

BEGIN
  Application.Initialize;
  Application.CreateForm(TForm1, Form1);
  Application.Run;
END.
